/* 
 * Thomas Pantzer: utils.h, v0.1b  23.4.98 14:36 
 * 
 * 
 * Copyright 1998 by Thomas Pantzer
 * 
 * Permission to use, copy, modify, and distribute this software for noncommercial 
 * use and without fee is hereby granted, provided that the above copyright notice 
 * appear in all copies and that both that copyright notice and this permission 
 * notice appear in supporting documentation, and that the name of the Author not be 
 * used in advertising or publicity pertaining to distribution of the software 
 * without specific, written prior permission. The Author makes no representations about
 * the suitability of this software for any purpose.  It is provided "as is" 
 * without expressed or implied warranty. 
 * 
 * 
 * pantec@aix520.informatik.uni-leipzig.de   (Thomas Pantzer) 
 * 
 */




#ifndef _UTILS_H
#define _UTILS_H


#include <sys/types.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <netdb.h>
#include <sys/time.h>
#include <stdio.h>
#include <errno.h>

extern int max(int a, int b);
extern int FD_Ready(int fd);
extern void ErrorMsg(const char st[]);
extern void ErrorMsg(const char st[],int n);


#endif


