


#ifndef _NETUTILS_H
#define _NETUTILS_H


#include <netinet/in.h>
#include <sys/socket.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <netdb.h>

#ifndef _MY_PORTNUM   
// this number might be overridden by an entry for service "webcamd" to /etc/services 
#define _MY_PORTNUM	34567
#endif

#ifndef LINGER_TIMEOUT
#define LINGER_TIMEOUT	0	// 60 seconds
#endif


extern int GetTCPPort(char proto[64]);
extern void hostname_str(struct sockaddr_in *client,char *result);
extern void ShutDown(int sd);	// extra strong linger shutdown sequence 



#endif
